package com.casic.dcms.ui;

import android.widget.LinearLayout;

import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.databinding.ActivityCaseVerifyBinding;
import com.casic.dcms.ui.fragment.verify.CaseVerifiedFragment;
import com.casic.dcms.ui.fragment.verify.CaseVerifyFragment;
import com.casic.dcms.utils.Constant;

import java.util.ArrayList;
import java.util.List;

public class CaseVerifyActivity extends AndroidxBaseActivity<ActivityCaseVerifyBinding> {

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("案卷核实");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new CaseVerifyFragment());
        fragmentList.add(new CaseVerifiedFragment());
        SubViewPagerAdapter adapter = new SubViewPagerAdapter(getSupportFragmentManager(), Constant.CASE_PAGE_TITLES, fragmentList);
        viewBinding.verifyViewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.verifyTabLayout.setupWithViewPager(viewBinding.verifyViewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.verifyTabLayout.getChildAt(0);
        linearLayout.setShowDividers(LinearLayout.SHOW_DIVIDER_MIDDLE);
        linearLayout.setDividerDrawable(ContextCompat.getDrawable(this, R.drawable.layout_divider_vertical));
    }

    @Override
    protected void initEvent() {

    }
}